# will be instantiated several times (once per mountpoint)
define eosclient::conf::eosxd (
  Hash $config,
  $instance = $name,
) {

  $_json = to_json($config['conf'])
  file { "/etc/eos/fuse.${instance}.conf":
    owner   => root,
    group   => root,
    mode    => '0644',
    content => "${_json}\n",
    require => [File['/etc/eos'], Package['eos-fusex']],
  }
}
